yesod-routes-1.2.0.1: Efficient routing for Yesod.

Safe Haskell | None

Yesod.Routes.Parse

Synopsis

- parseRoutes :: QuasiQuoter
- parseRoutesFile :: FilePath -> Q Exp
- parseRoutesNoCheck :: QuasiQuoter
- parseRoutesFileNoCheck :: FilePath -> Q Exp
- parseType :: String -> Type
- parseTypeTree :: String -> Maybe TypeTree
- data TypeTree
  - = TTTerm String
  - | TTApp TypeTree TypeTree
  - | TTList TypeTree

# Documentation

parseRoutes :: QuasiQuoter Source

A quasi-quoter to parse a string into a list of `Resource`s. Checks for overlapping routes, failing if present; use `parseRoutesNoCheck` to skip the checking. See documentation site for details on syntax.

parseRoutesFile :: FilePath -> Q Exp Source

parseRoutesNoCheck :: QuasiQuoter Source

Same as `parseRoutes`, but performs no overlap checking.

parseRoutesFileNoCheck :: FilePath -> Q Exp Source

parseType :: String -> Type Source

parseTypeTree :: String -> Maybe TypeTree Source

data TypeTree Source

Constructors

TTTerm String |
TTApp TypeTree TypeTree |
TTList TypeTree |

Instances

Eq TypeTree |
Show TypeTree |